## com.google.javascript.jscomp
Class DefaultPassConfig

    java.lang.Object
      com.google.javascript.jscomp.PassConfig
          com.google.javascript.jscomp.DefaultPassConfig

    public class DefaultPassConfig

extends PassConfig

Pass factories and meta-data for native JSCompiler passes.

Constructor Summary
`DefaultPassConfig(CompilerOptions options)`

Method Summary
`protected List<PassFactory>` | `getChecks()` Gets the checking passes to run.
`protected List<PassFactory>` | `getOptimizations()` Gets the optimization passes to run.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPassConfig

    public DefaultPassConfig(CompilerOptions options)

Method Detail

### getChecks

    protected List<PassFactory> getChecks()

  Description copied from class: `PassConfig`
  Gets the checking passes to run. Checking passes revolve around emitting warnings and errors. They also may include pre-processor passes needed to do error analysis more effectively. Clients that only want to analyze code (like IDEs) and not emit code will only run checks and not optimizations.

  Specified by:
    `getChecks` in class `PassConfig`

### getOptimizations

    protected List<PassFactory> getOptimizations()

  Description copied from class: `PassConfig`
  Gets the optimization passes to run. Optimization passes revolve around producing smaller and faster code. They should always run after checking passes.

  Specified by:
    `getOptimizations` in class `PassConfig`